Bug 27645 - Duplicate message in batch checkout
Summary: Duplicate message in batch checkout
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-05 18:44 UTC by Christopher Brannon
Modified: 2021-02-23 16:06 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Duplicate Warning (35.97 KB, image/png)
2021-02-05 18:44 UTC, Christopher Brannon
Details
Bug 27645: Prevent "is on hold" warning to be displayed twice (3.01 KB, patch)
2021-02-09 15:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27645: Prevent "is on hold" warning to be displayed twice (3.07 KB, patch)
2021-02-09 15:20 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27645: Prevent "is on hold" warning to be displayed twice (3.12 KB, patch)
2021-02-12 09:33 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2021-02-05 18:44:32 UTC
Created attachment 116431 [details]
Duplicate Warning

See attachment.  Why is the message "This item is on hold for another patron." duplicated?
Comment 1 Jonathan Druart 2021-02-09 15:05:16 UTC
Created attachment 116581 [details] [review]
Bug 27645: Prevent "is on hold" warning to be displayed twice

During a batch checkout we display the "item is on hold" message
depending on different conditions.
However it can happen the message is displayed twice.

If the checkout is not impossible then we see:
This item is on hold for another patron.
This item is on hold for another patron. The hold will be overridden, but not cancelled.

We should only display the second one.

Test plan:
With a default ktd setup you can simply place an item on hold and use the
batch checkout tool to check it out
Comment 2 Lucas Gass 2021-02-09 15:20:22 UTC
Created attachment 116586 [details] [review]
Bug 27645: Prevent "is on hold" warning to be displayed twice

During a batch checkout we display the "item is on hold" message
depending on different conditions.
However it can happen the message is displayed twice.

If the checkout is not impossible then we see:
This item is on hold for another patron.
This item is on hold for another patron. The hold will be overridden, but not cancelled.

We should only display the second one.

Test plan:
With a default ktd setup you can simply place an item on hold and use the
batch checkout tool to check it out

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Julian Maurice 2021-02-12 09:33:38 UTC
Created attachment 116793 [details] [review]
Bug 27645: Prevent "is on hold" warning to be displayed twice

During a batch checkout we display the "item is on hold" message
depending on different conditions.
However it can happen the message is displayed twice.

If the checkout is not impossible then we see:
This item is on hold for another patron.
This item is on hold for another patron. The hold will be overridden, but not cancelled.

We should only display the second one.

Test plan:
With a default ktd setup you can simply place an item on hold and use the
batch checkout tool to check it out

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2021-02-12 11:18:54 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-19 14:50:52 UTC
Pushed to 20.11.x for 20.11.03
Comment 6 Andrew Fuerste-Henry 2021-02-22 22:52:40 UTC
Pushed to 20.05.x for 20.05.09
Comment 7 Victor Grousset/tuxayo 2021-02-23 16:06:40 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.